INTERFACE
SUBROUTINE RT6S_GEMS_AD(pdiffang, psolang, pvieang, pwl, pphasel_in,&
 & pphasel_inb, piz_in, piz_inb, ptray550_vertin, ptaer_vertin,&
 & ptaer_vertinb, proc, preflet, prefletb) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE rt6svalues
 REAL(KIND=JPRB), INTENT(IN) :: pwl(kwl), pdiffang(klon), psolang(klon&
 & ), pvieang(klon) 
 REAL(KIND=JPRB), INTENT(IN) :: ptray550_vertin(klon, 0:klev), ptaer_vertin(klon,&
 & 0:klev, kwl) 
 REAL(KIND=JPRB), INTENT(INOUT) :: ptaer_vertinb(klon, 0:klev, kwl)
 REAL(KIND=JPRB), INTENT(IN) :: pphasel_in(klon, 0:klev, kwl, knbmu), piz_in(klon,&
 & 0:klev, kwl) 
 REAL(KIND=JPRB), INTENT(INOUT) :: pphasel_inb(klon, 0:klev, kwl, knbmu), piz_inb(klon&
 & , 0:klev, kwl) 
 REAL(KIND=JPRB), INTENT(IN) :: proc(klon, kwl)
 REAL(KIND=JPRB), INTENT(OUT) :: preflet(klon, kwl)
 REAL(KIND=JPRB), INTENT(INOUT) :: prefletb(klon, kwl)
END SUBROUTINE RT6S_GEMS_AD
END INTERFACE
